Bug 449091 - X-Pilot crashes on first mouse-click
X-Pilot crashes on first mouse-click
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xpilot-ng (Show other bugs)
10
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Wart
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-30 07:34 EDT by Nick Pierpoint
Modified: 2009-12-18 01:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:10:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nick Pierpoint 2008-05-30 07:34:55 EDT
Description of problem:

X-Pilot crashes on first left mouse-click.

Version-Release number of selected component (if applicable):

xpilot-ng-4.7.2-14.fc9.i386

How reproducible:

Every time

Steps to Reproduce:

1. yum install xpilot-ng
2. Start "xpilot-ng" or "xpilot-ng classic" from Games menu
3. Choose a game server
4. Click screen
  
Actual results:

If running "xpilot-ng classic" screen will disappear.

If running "xpilot-ng" X-windows will crash and login window will appear.

Expected results:

Play the game!

Additional info:

Worked in F8 and previous.

When running "xpilot-ng-x11" from command line:

[nick@rollins ~]$ xpilot-ng-x
xpilot-ng-x11         xpilot-ng-xp-mapedit  
[nick@rollins ~]$ xpilot-ng-x11 
  Copyright � 1991-2005 by Bj�rn Stabell, Ken Ronny Schouten, Bert Gijsbers,
Dick Balaska, Uoti Urpala, Juha Lindstr�m, Kristian S�derblom and Erik Andersson.
  XPilot NG 4.7.2 comes with ABSOLUTELY NO WARRANTY; for details see the
  provided COPYING file.

============================================================
VERSION                   = 4.7.2
PACKAGE                   = xpilot-ng
Conf_localguru()          = xpilot-hacks@lists.sourceforge.net
Conf_datadir()            = /usr/share/xpilot-ng/
Conf_defaults_file_name() = /usr/share/xpilot-ng/defaults.txt
Conf_password_file_name() = /usr/share/xpilot-ng/password.txt
Conf_mapdir()             = /usr/share/xpilot-ng/maps/
Conf_default_map()        = ndh.xp2
Conf_servermotdfile()     = /usr/share/xpilot-ng/servermotd.txt
Conf_robotfile()          = /usr/share/xpilot-ng/robots.txt
Conf_logfile()            = /usr/share/xpilot-ng/log.txt
Conf_localmotdfile()      = /usr/share/xpilot-ng/localmotd.txt
Conf_ship_file()          = /usr/share/xpilot-ng/shipshapes.txt
Conf_texturedir()         = /usr/share/xpilot-ng/textures/
Conf_fontdir()            = /usr/share/xpilot-ng/fonts/
Conf_sounddir()           = /usr/share/xpilot-ng/sound/
Conf_soundfile()          = /usr/share/xpilot-ng/sound/sounds.txt
Conf_zcat_ext()           = .gz
Conf_zcat_format()        = gzip -d -c < %s
============================================================
xpilot-ng-x11: INFO: Reading options from xpilotrc file /home/nick/.xpilotrc.
Using pixmap copying
Contacting server 71.7.237.23.
xpilot-ng-x11: INFO: Using protocol version 0x4300.
*** Connected to 71.7.237.23
... queued at position  1
*** Login allowed.
X Error of failed request:  BadValue (integer parameter out of range for operation)
  Major opcode of failed request:  135 (XFree86-Misc)
  Minor opcode of failed request:  3 (XF86MiscGetMouseSettings)
  Value in failed request:  0x3e0017b
  Serial number of failed request:  742139
  Current serial number in output stream:  742139
[nick@rollins ~]$
Comment 1 Nick Pierpoint 2008-06-04 08:25:07 EDT
I talked this through at #xpilot on freenode...

I've compiled and installed the "Blood's" client on
http://bloodspilot.sourceforge.net/ and confirmed version 1.4.0 work's fine.
This version does not use the XFree86-Misc library.

http://downloads.sourceforge.net/bloodspilot/bloodspilot-clients-1.4.0.tar.gz

Would it be feasible to package the "Blood's" client as well as the "NG" client
and include it in the distribution?
Comment 2 Bug Zapper 2009-06-09 21:17:32 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-11-18 05:12:56 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Nick Pierpoint 2009-11-18 05:52:53 EST
I'm now on Fedora 11 and the issue appears to have gone away.

Does make the bug reporting process seem a bit pointless. The only contact over the last 18 months since reporting the bug have been automated "end-of-life" emails.

Clearly the "assigned to" email address isn't used anymore or the package maintainer has gone away. Shouldn't there be a process for testing whether named package maintainers are still willing to do the job?
Comment 5 Bug Zapper 2009-12-18 01:10:47 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.